/******************************************************************************
 JXSRDialogUpdateTask.cc

	BASE CLASS = JXIdleTask

	Copyright  1996 by John Lindal. All rights reserved.

 ******************************************************************************/

#include "JXSRDialogUpdateTask.h"
#include "JXSRTextDialogBase.h"
#include <JXDisplay.h>
#include <jAssert.h>

const JSize kUpdatePeriod = 200;		// 0.2 second (milliseconds)

/******************************************************************************
 Constructor

 ******************************************************************************/

JXSRDialogUpdateTask::JXSRDialogUpdateTask
	(
	JXSRTextDialogBase* dialog
	)
	:
	JXIdleTask(kUpdatePeriod)
{
	itsDialog = dialog;
}

/******************************************************************************
 Destructor

 ******************************************************************************/

JXSRDialogUpdateTask::~JXSRDialogUpdateTask()
{
}

/******************************************************************************
 Perform

 ******************************************************************************/

void
JXSRDialogUpdateTask::Perform
	(
	const Time	delta,
	Time*		maxSleepTime
	)
{
	if (TimeToPerform(delta, maxSleepTime))
		{
		itsDialog->UpdateDisplay();
		}
}
